function Delay_Times = FindDelay(Data_Index_0, Data_Index_1, Time_String)
    % Inputs: Data_Index_0 and Data_Index_1 refer to an Vector with Indices 
    %to Positions(Times) in Timearray where a positive Flank appeared.
    % Time_String is the Timearray the Data_Index_X Variables refer to it
    % containes the Time in Form of a String.
    
    % Outputs: Delay_Times is a Vector that contains each time(delay) between 2
    % positive Flanks as a numeric value in Seconds
    
    % This Algroithm assumes that the Timearray is chronologically Sorted
    % Eg. Time_String(1) refers to an earlyer time than Time_String(2).
    % Also it assumes that the Flank refered from Data_Index_0 happens
    % earlyer than the Flank referd to from Data_Index_1
    
    Delay = [];
    Index_Delay = 1;
    for Index0 = 1:length(Data_Index_0)-1
        for Index1 = 1:length(Data_Index_1)
            if (Data_Index_0(Index0) < Data_Index_1(Index1)) && ...
               (Data_Index_0(Index0 + 1) > Data_Index_1(Index1))
                    Delay(Index_Delay) = Str2dT(Time_String(Data_Index_0(Index0)), ...
                                                Time_String(Data_Index_1(Index1)));
                    Index_Delay = Index_Delay + 1;
                    break
            end
        end
    end
    Delay_Times = Delay;
end